#! /bin/bash

if [[ "$1" == "" || "$2" != "" ]]; then
	echo "Usage: build {file.pnm}"
	exit 0
fi

echo "Compiling c_build..."
gcc -Wall -O3 -o c_build c_build.c
if [[ "$?" != "0" ]]; then
	exit 1
fi

echo "The file header is:"
echo "==================="
head -n 4 "$1"
echo "==================="
echo "Must be P5 128x64, max 255. OK?"
read
echo -e "C array of uint64_t:\n\n"
tail -n +5 "$1" | ./c_build 128 64 255
echo -e "\n"

rm -f c_build

