/*
    This file is part of l_mon.
    Copyright (C) 2016-2022  Laurent Poirrier

    l_mon is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, version 3 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with l_mon.  If not, see <http://www.gnu.org/licenses/>.
*/
#ifndef HUTILS_H
#define HUTILS_H
#include <stdlib.h>
#include <time.h>

int strends(const char *str, const char *ref);

size_t hget_url(char *dst, size_t dsize, const char *req);

#define HHEADER_NOCACHE		1
#define HHEADER_NOSIZE		2

size_t hheader_ok(char *dst, size_t hsize, time_t rtime,
	const char *ctype, size_t csize, int cflags);

size_t hheader_multi_start(char *dst, size_t hsize, time_t rtime,
	int cflags);

size_t hheader_multi_part(char *dst, size_t hsize, time_t rtime,
	const char *ctype, size_t csize, int cflags);

size_t hheader_move(char *dst, size_t hsize, time_t rtime,
	const char *url);

#endif

