/*
    This file is part of l_mon.
    Copyright (C) 2016-2022  Laurent Poirrier

    l_mon is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, version 3 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with l_mon.  If not, see <http://www.gnu.org/licenses/>.
*/
#ifndef DEVICE_JPEG_H
#define DEVICE_JPEG_H

#define JPEGDEV_DEFAULTS	0x00

#define JPEGDEV_TOP_DOWN	0x00
#define JPEGDEV_BOTTOM_UP	0x01
#define JPEGDEV_ROW_ORDER_MASK	0x01

#define JPEGDEV_PACKED_RGB	0x00
#define JPEGDEV_PACKED_YUV	0x02
#define JPEGDEV_GRAYSCALE	0x04
#define JPEGDEV_COLORSPACE_MASK	0x06

#define JPEGDEV_QUALITY_DEFAULT	0x00
#define JPEGDEV_QUALITY_CUSTOM	0x08
#define JPEGDEV_QUALITY_MASK	0x08

#define JPEGDEV_CUSTOM_Q_SHIFT	16
#define JPEGDEV_QUALITY(n)	((((n) & 0xff) << JPEGDEV_CUSTOM_Q_SHIFT) \
				 | JPEGDEV_QUALITY_CUSTOM)

#define JPEGDEV_INTERCHANGE	0x00
#define JPEGDEV_MJPEG_TABLES	0x10
#define JPEGDEV_TABLES_MASK	0x10

#define JPEGDEV_CREATE_FILE	0x00
#define JPEGDEV_APPEND_FILE	0x20
#define JPEGDEV_OPEN_MODE_MASK	0x20

int jpegdev_getsize(void *cdata, int csize, int *w, int *h);

int jpegdev_extract(void *ddata, void *cdata, int csize,
	int w, int h, int flags);

int jpegdev_compress(void *cdata, int max_size, void *ddata,
	int w, int h, int flags);



void *jpegdev_extract_file(char *fname, int *w, int *h, int flags);

int jpegdev_compress_file(char *fname, void *ddata, int w, int h, int flags);


#endif

