/*
    This file is part of l_mon.
    Copyright (C) 2016-2022  Laurent Poirrier

    l_mon is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, version 3 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with l_mon.  If not, see <http://www.gnu.org/licenses/>.
*/
#define _POSIX_C_SOURCE 201605L
#include <stdio.h>
#include <stdarg.h>
#include <time.h>
#include "log.h"

FILE *log_file = NULL;

void log_time(const char *format, ...)
{
	va_list ap;
	time_t t;
	struct tm d;
	
	t = time(NULL);
	localtime_r(&t, &d);
	
	fprintf(LOG_STREAM, "%04d-%02d-%02d %2d:%02d:%02d",
		d.tm_year + 1900, d.tm_mon + 1, d.tm_mday,
		d.tm_hour, d.tm_min, d.tm_sec);
	
	va_start(ap, format);
	vfprintf(LOG_STREAM, format, ap);
	va_end(ap);
}

