/*
    This file is part of l_mon.
    Copyright (C) 2016-2022  Laurent Poirrier

    l_mon is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, version 3 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with l_mon.  If not, see <http://www.gnu.org/licenses/>.
*/
#ifndef LOG_H
#define LOG_H
#include <stdio.h>
#include <stdarg.h>

extern FILE *log_file;

#define LOG_STREAM	((log_file) ? log_file : stderr)

#define LOG(s...)	fprintf(LOG_STREAM, s)


#define ASSERT(c, s...)	\
	do { \
		if (!(c)) { \
			fprintf(LOG_STREAM, "%s:%d: %s(): %s failed\n", \
				__FILE__, __LINE__, __func__, #c); \
			exit(EXIT_FAILURE); \
		} \
	} while (0)


void log_time(const char *format, ...);

#endif

