/*
    This file is part of l_mon.
    Copyright (C) 2016-2022  Laurent Poirrier

    l_mon is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, version 3 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with l_mon.  If not, see <http://www.gnu.org/licenses/>.
*/
#ifndef REFBUF_H
#define REFBUF_H
#include <stdlib.h>

typedef struct refbuf_t {
	int seq;
	int refs;
	
	void *data;
	size_t size;
	
	struct refbuf_t *prev, *next;
} refbuf;



typedef struct pool_t {
	refbuf ptr;
	int seq;
} pool;


void pool_init(pool *p);
void pool_clear(pool *p);

refbuf *refbuf_create(pool *p, size_t n);
void refbuf_ref(refbuf *b, int count);

int refbuf_printf(refbuf *b, char *format, ...);

#endif

