/*
    This file is part of l_mon.
    Copyright (C) 2016-2022  Laurent Poirrier

    l_mon is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, version 3 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with l_mon.  If not, see <http://www.gnu.org/licenses/>.
*/
#ifndef ROLL_H
#define ROLL_H
#include <stdlib.h>
#include <time.h>
#include "config.h"
#include "csp.h"

#define ROLL_HISTORY	256

typedef struct roll_t {
	int history[ROLL_HISTORY];
	int ptr;
	time_t origin, span;
} roll;

void roll_init(roll *r, config *c);
void roll_clear(roll *r);

void roll_push(roll *r, int val, time_t time);

void roll_plot(roll *r, unsigned char *yuv, int iw, int ih);

#endif

